> For the complete documentation index, see [llms.txt](https://docs.ingestlabs.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ingestlabs.com/implementation/web-sdk/tracking-events/login-sign-up.md).

# Login / Sign Up

When user logs in, fire this event.

```
window._mp.safeExecute('mpOnUserLogin', function() {
    /**
    * if user does not have first name and last name, split the name using space
    * and assign first half to fName and second to lName
    *
    *
    * Example:
    * var userName = 'full name';
    * var fName = '';
    * var lName = '';
    * 
    * if (userName.indexOf(' ') > -1) {
    *   fName = userName.split(' ')[0];
    *   lName = userName.split(' ')[1]; 
    * } else {
    *   fName = userName;
    *   lName = undefined;
    * }
   */
  
    eedl('user_info', {
      pid: '<unique identifier representing user>',
      email: '<email address of user>',
      phone: '<phone number of user - no country code>', // mandatory
      country: '<country code only>', // mandatory
      city: '<city - madurai>', // leave as undefined if not available
      state: '<state - Tamil Nadu>', // leave as undefined if not available
      fName: '<first name of user>', // leave as undefined if not available
      lName: '<last name of user>', // leave as undefined if not available
      zip: '<zip code>', // leave as undefined if not available
   });
      
    eedl('mp_login', {
      method: 'phone',
      ev_source: 'gtm',
      is_existing: 'Y' // 'Y' for an existing user and 'N' for a new user
    });  
  })();
```

### <mark style="background-color:red;">Send event from an iframe window</mark>

<mark style="background-color:red;">If the event occurs in a iframe window, you need to fire the event using the below script.</mark>

<pre><code>window.top.postMessage({
      event_name: 'mp_login',
      event_payload: {
            method: 'phone', // Login method used - 'phone' | 'email'
            ev_source: 'gokwik',
            pid: '&#x3C;unique identifier representing user>', // Shopify User ID
            email: '&#x3C;email address of user>',
            phone: '&#x3C;phone number of user - no country code>', // mandatory
            country: '&#x3C;country code only>', // mandatory
            city: '&#x3C;city - madurai>', // leave as undefined if not available
            state: '&#x3C;state - Tamil Nadu>', // leave as undefined if not available
            fName: '&#x3C;first name of user>', // leave as undefined if not available
            lName: '&#x3C;last name of user>', // leave as undefined if not available
            zip: '&#x3C;zip code>', // leave as undefined if not available
<strong>            is_existing: 'Y' // 'Y' for an existing user and 'N' for a new user
</strong>         }
    },
    'PARENT_URL'
);

PARENT_URL is the url of the website.
</code></pre>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ingestlabs.com/implementation/web-sdk/tracking-events/login-sign-up.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
